Skip to content

Unified Catalog Entity Deletion



POST /api/v1/unified_catalog/entity/delete

Overview

Delete a unified catalog entity.

Body Request Parameters

Parameter Name Type Required Description
urn string Y Entity unified identifier
Allow empty: False

Parameter Supplementary Description

Request Parameter Description

Parameter Name type Required Description
urn string Yes The URN of the entity to delete

Call Notes

  • Returns true upon successful deletion.
  • This interface will synchronously delete the corresponding entity on the Kodo side.

Request Example

curl 'https://openapi.truewatch.com/api/v1/unified_catalog/entity/delete' \
-H 'DF-API-KEY: <DF-API-KEY>' \
-H 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{"urn":"urn:mysql:default:demo"}'

Response

{
    "code": 200,
    "content": true,
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "TRACE-XXXX"
}